# samples/common/classes/NvEglRenderer.cpp File Reference

`#include "NvEglRenderer.h"`
`#include "NvLogging.h"`
`#include "nvbuf_utils.h"`
`#include <cstring>`
`#include <sys/time.h>`

Go to the source code of this file.

## Defines

#define | CAT_NAME "EglRenderer"
#define | ERROR_GOTO_FAIL(val, string)

## Define Documentation

#define CAT_NAME "EglRenderer"

Definition at line 36 of file NvEglRenderer.cpp.

#define ERROR_GOTO_FAIL | ( | val,
|  | string |  | ) |

Value:

    do { \
            if (val) {\
                CAT_DEBUG_MSG(string); \
                goto fail; \
            } \
        } while (0)

Definition at line 38 of file NvEglRenderer.cpp.